
%global srcname dirq

Name:           python-dirq
Version:        1.8
Release:    1%{?dist}
Summary:        Directory based queue
License:        ASL 2.0
URL:            https://github.com/cern-mig/%{name}
Source0:        http://pypi.python.org/packages/source/d/%{srcname}/%{srcname}-%{version}.tar.gz
Patch0:         python-dirq-no-nlink.patch
BuildArch:      noarch
BuildRequires:	python3-devel, python3-setuptools

%global _description\
The goal of this module is to offer a simple queue system using the\
underlying file system for storage, security and to prevent race\
conditions via atomic operations.  It focuses on simplicity,\
robustness and the ability to scale.\
\
The python module dirq is compatible with the Perl\
module Directory::Queue.

%description %_description

%package -n python3-dirq
Summary:	Directory based queue

%description -n python3-dirq
The goal of this module is to offer a simple queue system using the 
underlying file system for storage, security and to prevent race 
conditions via atomic operations.  It focuses on simplicity, 
robustness and the ability to scale.

The python module dirq is compatible with the Perl 
module Directory::Queue.

%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p1
find . -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --skip-build --root %{buildroot}

%check
%{__python3} setup.py test
rm -f test/*.pyc

%files -n python3-dirq
%doc README.rst CHANGES examples test
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8-1
- initial build
